unit schRemesasProveedorClient_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable;

const
  { Data table rules ids
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_darReferencia = '{C1FE1FF9-7F1D-45EF-A6EC-36769F2459E8}';
  RID_RemesasProveedor = '{B681DD8C-CB40-4D5F-8717-3335972EB8EF}';
  RID_RemesasProveedor_Refresh = '{56DD2E63-E0E0-47F8-9840-044CC0BB101E}';

  { Data table names }
  nme_darReferencia = 'darReferencia';
  nme_RemesasProveedor = 'RemesasProveedor';
  nme_RemesasProveedor_Refresh = 'RemesasProveedor_Refresh';

  { darReferencia fields }
  fld_darReferenciaVALOR = 'VALOR';

  { darReferencia field indexes }
  idx_darReferenciaVALOR = 0;

  { RemesasProveedor fields }
  fld_RemesasProveedorID = 'ID';
  fld_RemesasProveedorID_EMPRESA = 'ID_EMPRESA';
  fld_RemesasProveedorREFERENCIA = 'REFERENCIA';
  fld_RemesasProveedorTIPO = 'TIPO';
  fld_RemesasProveedorFECHA_REMESA = 'FECHA_REMESA';
  fld_RemesasProveedorDESCRIPCION = 'DESCRIPCION';
  fld_RemesasProveedorUSUARIO = 'USUARIO';
  fld_RemesasProveedorID_DATOS_BANCO = 'ID_DATOS_BANCO';
  fld_RemesasProveedorFECHA_ALTA = 'FECHA_ALTA';
  fld_RemesasProveedorFECHA_MODIFICACION = 'FECHA_MODIFICACION';
  fld_RemesasProveedorIMPORTE_TOTAL = 'IMPORTE_TOTAL';
  fld_RemesasProveedorNOMBRE = 'NOMBRE';
  fld_RemesasProveedorENTIDAD = 'ENTIDAD';
  fld_RemesasProveedorSUCURSAL = 'SUCURSAL';
  fld_RemesasProveedorDC = 'DC';
  fld_RemesasProveedorCUENTA = 'CUENTA';
  fld_RemesasProveedorSUFIJO_N19 = 'SUFIJO_N19';
  fld_RemesasProveedorSUFIJO_N58 = 'SUFIJO_N58';

  { RemesasProveedor field indexes }
  idx_RemesasProveedorID = 0;
  idx_RemesasProveedorID_EMPRESA = 1;
  idx_RemesasProveedorREFERENCIA = 2;
  idx_RemesasProveedorTIPO = 3;
  idx_RemesasProveedorFECHA_REMESA = 4;
  idx_RemesasProveedorDESCRIPCION = 5;
  idx_RemesasProveedorUSUARIO = 6;
  idx_RemesasProveedorID_DATOS_BANCO = 7;
  idx_RemesasProveedorFECHA_ALTA = 8;
  idx_RemesasProveedorFECHA_MODIFICACION = 9;
  idx_RemesasProveedorIMPORTE_TOTAL = 10;
  idx_RemesasProveedorNOMBRE = 11;
  idx_RemesasProveedorENTIDAD = 12;
  idx_RemesasProveedorSUCURSAL = 13;
  idx_RemesasProveedorDC = 14;
  idx_RemesasProveedorCUENTA = 15;
  idx_RemesasProveedorSUFIJO_N19 = 16;
  idx_RemesasProveedorSUFIJO_N58 = 17;

  { RemesasProveedor_Refresh fields }
  fld_RemesasProveedor_RefreshID = 'ID';
  fld_RemesasProveedor_RefreshID_EMPRESA = 'ID_EMPRESA';
  fld_RemesasProveedor_RefreshREFERENCIA = 'REFERENCIA';
  fld_RemesasProveedor_RefreshTIPO = 'TIPO';
  fld_RemesasProveedor_RefreshFECHA_REMESA = 'FECHA_REMESA';
  fld_RemesasProveedor_RefreshDESCRIPCION = 'DESCRIPCION';
  fld_RemesasProveedor_RefreshUSUARIO = 'USUARIO';
  fld_RemesasProveedor_RefreshID_DATOS_BANCO = 'ID_DATOS_BANCO';
  fld_RemesasProveedor_RefreshFECHA_ALTA = 'FECHA_ALTA';
  fld_RemesasProveedor_RefreshFECHA_MODIFICACION = 'FECHA_MODIFICACION';
  fld_RemesasProveedor_RefreshIMPORTE_TOTAL = 'IMPORTE_TOTAL';
  fld_RemesasProveedor_RefreshNOMBRE = 'NOMBRE';
  fld_RemesasProveedor_RefreshENTIDAD = 'ENTIDAD';
  fld_RemesasProveedor_RefreshSUCURSAL = 'SUCURSAL';
  fld_RemesasProveedor_RefreshDC = 'DC';
  fld_RemesasProveedor_RefreshCUENTA = 'CUENTA';
  fld_RemesasProveedor_RefreshSUFIJO_N19 = 'SUFIJO_N19';
  fld_RemesasProveedor_RefreshSUFIJO_N58 = 'SUFIJO_N58';

  { RemesasProveedor_Refresh field indexes }
  idx_RemesasProveedor_RefreshID = 0;
  idx_RemesasProveedor_RefreshID_EMPRESA = 1;
  idx_RemesasProveedor_RefreshREFERENCIA = 2;
  idx_RemesasProveedor_RefreshTIPO = 3;
  idx_RemesasProveedor_RefreshFECHA_REMESA = 4;
  idx_RemesasProveedor_RefreshDESCRIPCION = 5;
  idx_RemesasProveedor_RefreshUSUARIO = 6;
  idx_RemesasProveedor_RefreshID_DATOS_BANCO = 7;
  idx_RemesasProveedor_RefreshFECHA_ALTA = 8;
  idx_RemesasProveedor_RefreshFECHA_MODIFICACION = 9;
  idx_RemesasProveedor_RefreshIMPORTE_TOTAL = 10;
  idx_RemesasProveedor_RefreshNOMBRE = 11;
  idx_RemesasProveedor_RefreshENTIDAD = 12;
  idx_RemesasProveedor_RefreshSUCURSAL = 13;
  idx_RemesasProveedor_RefreshDC = 14;
  idx_RemesasProveedor_RefreshCUENTA = 15;
  idx_RemesasProveedor_RefreshSUFIJO_N19 = 16;
  idx_RemesasProveedor_RefreshSUFIJO_N58 = 17;

type
  { IdarReferencia }
  IdarReferencia = interface(IDAStronglyTypedDataTable)
  ['{117BD92C-DD52-4B6F-840D-675FF8A7BB4B}']
    { Property getters and setters }
    function GetVALORValue: String;
    procedure SetVALORValue(const aValue: String);


    { Properties }
    property VALOR: String read GetVALORValue write SetVALORValue;
  end;

  { TdarReferenciaDataTableRules }
  TdarReferenciaDataTableRules = class(TDADataTableRules, IdarReferencia)
  private
  protected
    { Property getters and setters }
    function GetVALORValue: String; virtual;
    procedure SetVALORValue(const aValue: String); virtual;

    { Properties }
    property VALOR: String read GetVALORValue write SetVALORValue;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

  { IRemesasProveedor }
  IRemesasProveedor = interface(IDAStronglyTypedDataTable)
  ['{23B52BF8-6AAD-4393-96A3-F66CAA606CF5}']
    { Property getters and setters }
    function GetIDValue: Integer;
    procedure SetIDValue(const aValue: Integer);
    function GetID_EMPRESAValue: Integer;
    procedure SetID_EMPRESAValue(const aValue: Integer);
    function GetREFERENCIAValue: String;
    procedure SetREFERENCIAValue(const aValue: String);
    function GetTIPOValue: String;
    procedure SetTIPOValue(const aValue: String);
    function GetFECHA_REMESAValue: DateTime;
    procedure SetFECHA_REMESAValue(const aValue: DateTime);
    function GetDESCRIPCIONValue: String;
    procedure SetDESCRIPCIONValue(const aValue: String);
    function GetUSUARIOValue: String;
    procedure SetUSUARIOValue(const aValue: String);
    function GetID_DATOS_BANCOValue: Integer;
    procedure SetID_DATOS_BANCOValue(const aValue: Integer);
    function GetFECHA_ALTAValue: DateTime;
    procedure SetFECHA_ALTAValue(const aValue: DateTime);
    function GetFECHA_MODIFICACIONValue: DateTime;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime);
    function GetIMPORTE_TOTALValue: Float;
    procedure SetIMPORTE_TOTALValue(const aValue: Float);
    function GetNOMBREValue: String;
    procedure SetNOMBREValue(const aValue: String);
    function GetENTIDADValue: String;
    procedure SetENTIDADValue(const aValue: String);
    function GetSUCURSALValue: String;
    procedure SetSUCURSALValue(const aValue: String);
    function GetDCValue: String;
    procedure SetDCValue(const aValue: String);
    function GetCUENTAValue: String;
    procedure SetCUENTAValue(const aValue: String);
    function GetSUFIJO_N19Value: String;
    procedure SetSUFIJO_N19Value(const aValue: String);
    function GetSUFIJO_N58Value: String;
    procedure SetSUFIJO_N58Value(const aValue: String);


    { Properties }
    property ID: Integer read GetIDValue write SetIDValue;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property TIPO: String read GetTIPOValue write SetTIPOValue;
    property FECHA_REMESA: DateTime read GetFECHA_REMESAValue write SetFECHA_REMESAValue;
    property DESCRIPCION: String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property USUARIO: String read GetUSUARIOValue write SetUSUARIOValue;
    property ID_DATOS_BANCO: Integer read GetID_DATOS_BANCOValue write SetID_DATOS_BANCOValue;
    property FECHA_ALTA: DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property FECHA_MODIFICACION: DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property IMPORTE_TOTAL: Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property NOMBRE: String read GetNOMBREValue write SetNOMBREValue;
    property ENTIDAD: String read GetENTIDADValue write SetENTIDADValue;
    property SUCURSAL: String read GetSUCURSALValue write SetSUCURSALValue;
    property DC: String read GetDCValue write SetDCValue;
    property CUENTA: String read GetCUENTAValue write SetCUENTAValue;
    property SUFIJO_N19: String read GetSUFIJO_N19Value write SetSUFIJO_N19Value;
    property SUFIJO_N58: String read GetSUFIJO_N58Value write SetSUFIJO_N58Value;
  end;

  { TRemesasProveedorDataTableRules }
  TRemesasProveedorDataTableRules = class(TDADataTableRules, IRemesasProveedor)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetTIPOValue: String; virtual;
    procedure SetTIPOValue(const aValue: String); virtual;
    function GetFECHA_REMESAValue: DateTime; virtual;
    procedure SetFECHA_REMESAValue(const aValue: DateTime); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    function GetUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetID_DATOS_BANCOValue: Integer; virtual;
    procedure SetID_DATOS_BANCOValue(const aValue: Integer); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;
    function GetIMPORTE_TOTALValue: Float; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Float); virtual;
    function GetNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    function GetENTIDADValue: String; virtual;
    procedure SetENTIDADValue(const aValue: String); virtual;
    function GetSUCURSALValue: String; virtual;
    procedure SetSUCURSALValue(const aValue: String); virtual;
    function GetDCValue: String; virtual;
    procedure SetDCValue(const aValue: String); virtual;
    function GetCUENTAValue: String; virtual;
    procedure SetCUENTAValue(const aValue: String); virtual;
    function GetSUFIJO_N19Value: String; virtual;
    procedure SetSUFIJO_N19Value(const aValue: String); virtual;
    function GetSUFIJO_N58Value: String; virtual;
    procedure SetSUFIJO_N58Value(const aValue: String); virtual;

    { Properties }
    property ID: Integer read GetIDValue write SetIDValue;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property TIPO: String read GetTIPOValue write SetTIPOValue;
    property FECHA_REMESA: DateTime read GetFECHA_REMESAValue write SetFECHA_REMESAValue;
    property DESCRIPCION: String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property USUARIO: String read GetUSUARIOValue write SetUSUARIOValue;
    property ID_DATOS_BANCO: Integer read GetID_DATOS_BANCOValue write SetID_DATOS_BANCOValue;
    property FECHA_ALTA: DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property FECHA_MODIFICACION: DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property IMPORTE_TOTAL: Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property NOMBRE: String read GetNOMBREValue write SetNOMBREValue;
    property ENTIDAD: String read GetENTIDADValue write SetENTIDADValue;
    property SUCURSAL: String read GetSUCURSALValue write SetSUCURSALValue;
    property DC: String read GetDCValue write SetDCValue;
    property CUENTA: String read GetCUENTAValue write SetCUENTAValue;
    property SUFIJO_N19: String read GetSUFIJO_N19Value write SetSUFIJO_N19Value;
    property SUFIJO_N58: String read GetSUFIJO_N58Value write SetSUFIJO_N58Value;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

  { IRemesasProveedor_Refresh }
  IRemesasProveedor_Refresh = interface(IDAStronglyTypedDataTable)
  ['{DE94F87C-D124-425E-868D-607F9F21A92C}']
    { Property getters and setters }
    function GetIDValue: Integer;
    procedure SetIDValue(const aValue: Integer);
    function GetID_EMPRESAValue: Integer;
    procedure SetID_EMPRESAValue(const aValue: Integer);
    function GetREFERENCIAValue: String;
    procedure SetREFERENCIAValue(const aValue: String);
    function GetTIPOValue: String;
    procedure SetTIPOValue(const aValue: String);
    function GetFECHA_REMESAValue: DateTime;
    procedure SetFECHA_REMESAValue(const aValue: DateTime);
    function GetDESCRIPCIONValue: String;
    procedure SetDESCRIPCIONValue(const aValue: String);
    function GetUSUARIOValue: String;
    procedure SetUSUARIOValue(const aValue: String);
    function GetID_DATOS_BANCOValue: Integer;
    procedure SetID_DATOS_BANCOValue(const aValue: Integer);
    function GetFECHA_ALTAValue: DateTime;
    procedure SetFECHA_ALTAValue(const aValue: DateTime);
    function GetFECHA_MODIFICACIONValue: DateTime;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime);
    function GetIMPORTE_TOTALValue: Float;
    procedure SetIMPORTE_TOTALValue(const aValue: Float);
    function GetNOMBREValue: String;
    procedure SetNOMBREValue(const aValue: String);
    function GetENTIDADValue: String;
    procedure SetENTIDADValue(const aValue: String);
    function GetSUCURSALValue: String;
    procedure SetSUCURSALValue(const aValue: String);
    function GetDCValue: String;
    procedure SetDCValue(const aValue: String);
    function GetCUENTAValue: String;
    procedure SetCUENTAValue(const aValue: String);
    function GetSUFIJO_N19Value: String;
    procedure SetSUFIJO_N19Value(const aValue: String);
    function GetSUFIJO_N58Value: String;
    procedure SetSUFIJO_N58Value(const aValue: String);


    { Properties }
    property ID: Integer read GetIDValue write SetIDValue;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property TIPO: String read GetTIPOValue write SetTIPOValue;
    property FECHA_REMESA: DateTime read GetFECHA_REMESAValue write SetFECHA_REMESAValue;
    property DESCRIPCION: String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property USUARIO: String read GetUSUARIOValue write SetUSUARIOValue;
    property ID_DATOS_BANCO: Integer read GetID_DATOS_BANCOValue write SetID_DATOS_BANCOValue;
    property FECHA_ALTA: DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property FECHA_MODIFICACION: DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property IMPORTE_TOTAL: Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property NOMBRE: String read GetNOMBREValue write SetNOMBREValue;
    property ENTIDAD: String read GetENTIDADValue write SetENTIDADValue;
    property SUCURSAL: String read GetSUCURSALValue write SetSUCURSALValue;
    property DC: String read GetDCValue write SetDCValue;
    property CUENTA: String read GetCUENTAValue write SetCUENTAValue;
    property SUFIJO_N19: String read GetSUFIJO_N19Value write SetSUFIJO_N19Value;
    property SUFIJO_N58: String read GetSUFIJO_N58Value write SetSUFIJO_N58Value;
  end;

  { TRemesasProveedor_RefreshDataTableRules }
  TRemesasProveedor_RefreshDataTableRules = class(TDADataTableRules, IRemesasProveedor_Refresh)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetTIPOValue: String; virtual;
    procedure SetTIPOValue(const aValue: String); virtual;
    function GetFECHA_REMESAValue: DateTime; virtual;
    procedure SetFECHA_REMESAValue(const aValue: DateTime); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    function GetUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetID_DATOS_BANCOValue: Integer; virtual;
    procedure SetID_DATOS_BANCOValue(const aValue: Integer); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;
    function GetIMPORTE_TOTALValue: Float; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Float); virtual;
    function GetNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    function GetENTIDADValue: String; virtual;
    procedure SetENTIDADValue(const aValue: String); virtual;
    function GetSUCURSALValue: String; virtual;
    procedure SetSUCURSALValue(const aValue: String); virtual;
    function GetDCValue: String; virtual;
    procedure SetDCValue(const aValue: String); virtual;
    function GetCUENTAValue: String; virtual;
    procedure SetCUENTAValue(const aValue: String); virtual;
    function GetSUFIJO_N19Value: String; virtual;
    procedure SetSUFIJO_N19Value(const aValue: String); virtual;
    function GetSUFIJO_N58Value: String; virtual;
    procedure SetSUFIJO_N58Value(const aValue: String); virtual;

    { Properties }
    property ID: Integer read GetIDValue write SetIDValue;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property TIPO: String read GetTIPOValue write SetTIPOValue;
    property FECHA_REMESA: DateTime read GetFECHA_REMESAValue write SetFECHA_REMESAValue;
    property DESCRIPCION: String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property USUARIO: String read GetUSUARIOValue write SetUSUARIOValue;
    property ID_DATOS_BANCO: Integer read GetID_DATOS_BANCOValue write SetID_DATOS_BANCOValue;
    property FECHA_ALTA: DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property FECHA_MODIFICACION: DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property IMPORTE_TOTAL: Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property NOMBRE: String read GetNOMBREValue write SetNOMBREValue;
    property ENTIDAD: String read GetENTIDADValue write SetENTIDADValue;
    property SUCURSAL: String read GetSUCURSALValue write SetSUCURSALValue;
    property DC: String read GetDCValue write SetDCValue;
    property CUENTA: String read GetCUENTAValue write SetCUENTAValue;
    property SUFIJO_N19: String read GetSUFIJO_N19Value write SetSUFIJO_N19Value;
    property SUFIJO_N58: String read GetSUFIJO_N58Value write SetSUFIJO_N58Value;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

implementation

uses Variants;

{ TdarReferenciaDataTableRules }
constructor TdarReferenciaDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TdarReferenciaDataTableRules.Destroy;
begin
  inherited;
end;

function TdarReferenciaDataTableRules.GetVALORValue: String;
begin
  result := DataTable.Fields[idx_darReferenciaVALOR].AsString;
end;

procedure TdarReferenciaDataTableRules.SetVALORValue(const aValue: String);
begin
  DataTable.Fields[idx_darReferenciaVALOR].AsString := aValue;
end;


{ TRemesasProveedorDataTableRules }
constructor TRemesasProveedorDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TRemesasProveedorDataTableRules.Destroy;
begin
  inherited;
end;

function TRemesasProveedorDataTableRules.GetIDValue: Integer;
begin
  result := DataTable.Fields[idx_RemesasProveedorID].AsInteger;
end;

procedure TRemesasProveedorDataTableRules.SetIDValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RemesasProveedorID].AsInteger := aValue;
end;

function TRemesasProveedorDataTableRules.GetID_EMPRESAValue: Integer;
begin
  result := DataTable.Fields[idx_RemesasProveedorID_EMPRESA].AsInteger;
end;

procedure TRemesasProveedorDataTableRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RemesasProveedorID_EMPRESA].AsInteger := aValue;
end;

function TRemesasProveedorDataTableRules.GetREFERENCIAValue: String;
begin
  result := DataTable.Fields[idx_RemesasProveedorREFERENCIA].AsString;
end;

procedure TRemesasProveedorDataTableRules.SetREFERENCIAValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedorREFERENCIA].AsString := aValue;
end;

function TRemesasProveedorDataTableRules.GetTIPOValue: String;
begin
  result := DataTable.Fields[idx_RemesasProveedorTIPO].AsString;
end;

procedure TRemesasProveedorDataTableRules.SetTIPOValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedorTIPO].AsString := aValue;
end;

function TRemesasProveedorDataTableRules.GetFECHA_REMESAValue: DateTime;
begin
  result := DataTable.Fields[idx_RemesasProveedorFECHA_REMESA].AsDateTime;
end;

procedure TRemesasProveedorDataTableRules.SetFECHA_REMESAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RemesasProveedorFECHA_REMESA].AsDateTime := aValue;
end;

function TRemesasProveedorDataTableRules.GetDESCRIPCIONValue: String;
begin
  result := DataTable.Fields[idx_RemesasProveedorDESCRIPCION].AsString;
end;

procedure TRemesasProveedorDataTableRules.SetDESCRIPCIONValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedorDESCRIPCION].AsString := aValue;
end;

function TRemesasProveedorDataTableRules.GetUSUARIOValue: String;
begin
  result := DataTable.Fields[idx_RemesasProveedorUSUARIO].AsString;
end;

procedure TRemesasProveedorDataTableRules.SetUSUARIOValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedorUSUARIO].AsString := aValue;
end;

function TRemesasProveedorDataTableRules.GetID_DATOS_BANCOValue: Integer;
begin
  result := DataTable.Fields[idx_RemesasProveedorID_DATOS_BANCO].AsInteger;
end;

procedure TRemesasProveedorDataTableRules.SetID_DATOS_BANCOValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RemesasProveedorID_DATOS_BANCO].AsInteger := aValue;
end;

function TRemesasProveedorDataTableRules.GetFECHA_ALTAValue: DateTime;
begin
  result := DataTable.Fields[idx_RemesasProveedorFECHA_ALTA].AsDateTime;
end;

procedure TRemesasProveedorDataTableRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RemesasProveedorFECHA_ALTA].AsDateTime := aValue;
end;

function TRemesasProveedorDataTableRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := DataTable.Fields[idx_RemesasProveedorFECHA_MODIFICACION].AsDateTime;
end;

procedure TRemesasProveedorDataTableRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RemesasProveedorFECHA_MODIFICACION].AsDateTime := aValue;
end;

function TRemesasProveedorDataTableRules.GetIMPORTE_TOTALValue: Float;
begin
  result := DataTable.Fields[idx_RemesasProveedorIMPORTE_TOTAL].AsFloat;
end;

procedure TRemesasProveedorDataTableRules.SetIMPORTE_TOTALValue(const aValue: Float);
begin
  DataTable.Fields[idx_RemesasProveedorIMPORTE_TOTAL].AsFloat := aValue;
end;

function TRemesasProveedorDataTableRules.GetNOMBREValue: String;
begin
  result := DataTable.Fields[idx_RemesasProveedorNOMBRE].AsString;
end;

procedure TRemesasProveedorDataTableRules.SetNOMBREValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedorNOMBRE].AsString := aValue;
end;

function TRemesasProveedorDataTableRules.GetENTIDADValue: String;
begin
  result := DataTable.Fields[idx_RemesasProveedorENTIDAD].AsString;
end;

procedure TRemesasProveedorDataTableRules.SetENTIDADValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedorENTIDAD].AsString := aValue;
end;

function TRemesasProveedorDataTableRules.GetSUCURSALValue: String;
begin
  result := DataTable.Fields[idx_RemesasProveedorSUCURSAL].AsString;
end;

procedure TRemesasProveedorDataTableRules.SetSUCURSALValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedorSUCURSAL].AsString := aValue;
end;

function TRemesasProveedorDataTableRules.GetDCValue: String;
begin
  result := DataTable.Fields[idx_RemesasProveedorDC].AsString;
end;

procedure TRemesasProveedorDataTableRules.SetDCValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedorDC].AsString := aValue;
end;

function TRemesasProveedorDataTableRules.GetCUENTAValue: String;
begin
  result := DataTable.Fields[idx_RemesasProveedorCUENTA].AsString;
end;

procedure TRemesasProveedorDataTableRules.SetCUENTAValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedorCUENTA].AsString := aValue;
end;

function TRemesasProveedorDataTableRules.GetSUFIJO_N19Value: String;
begin
  result := DataTable.Fields[idx_RemesasProveedorSUFIJO_N19].AsString;
end;

procedure TRemesasProveedorDataTableRules.SetSUFIJO_N19Value(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedorSUFIJO_N19].AsString := aValue;
end;

function TRemesasProveedorDataTableRules.GetSUFIJO_N58Value: String;
begin
  result := DataTable.Fields[idx_RemesasProveedorSUFIJO_N58].AsString;
end;

procedure TRemesasProveedorDataTableRules.SetSUFIJO_N58Value(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedorSUFIJO_N58].AsString := aValue;
end;


{ TRemesasProveedor_RefreshDataTableRules }
constructor TRemesasProveedor_RefreshDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TRemesasProveedor_RefreshDataTableRules.Destroy;
begin
  inherited;
end;

function TRemesasProveedor_RefreshDataTableRules.GetIDValue: Integer;
begin
  result := DataTable.Fields[idx_RemesasProveedor_RefreshID].AsInteger;
end;

procedure TRemesasProveedor_RefreshDataTableRules.SetIDValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RemesasProveedor_RefreshID].AsInteger := aValue;
end;

function TRemesasProveedor_RefreshDataTableRules.GetID_EMPRESAValue: Integer;
begin
  result := DataTable.Fields[idx_RemesasProveedor_RefreshID_EMPRESA].AsInteger;
end;

procedure TRemesasProveedor_RefreshDataTableRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RemesasProveedor_RefreshID_EMPRESA].AsInteger := aValue;
end;

function TRemesasProveedor_RefreshDataTableRules.GetREFERENCIAValue: String;
begin
  result := DataTable.Fields[idx_RemesasProveedor_RefreshREFERENCIA].AsString;
end;

procedure TRemesasProveedor_RefreshDataTableRules.SetREFERENCIAValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedor_RefreshREFERENCIA].AsString := aValue;
end;

function TRemesasProveedor_RefreshDataTableRules.GetTIPOValue: String;
begin
  result := DataTable.Fields[idx_RemesasProveedor_RefreshTIPO].AsString;
end;

procedure TRemesasProveedor_RefreshDataTableRules.SetTIPOValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedor_RefreshTIPO].AsString := aValue;
end;

function TRemesasProveedor_RefreshDataTableRules.GetFECHA_REMESAValue: DateTime;
begin
  result := DataTable.Fields[idx_RemesasProveedor_RefreshFECHA_REMESA].AsDateTime;
end;

procedure TRemesasProveedor_RefreshDataTableRules.SetFECHA_REMESAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RemesasProveedor_RefreshFECHA_REMESA].AsDateTime := aValue;
end;

function TRemesasProveedor_RefreshDataTableRules.GetDESCRIPCIONValue: String;
begin
  result := DataTable.Fields[idx_RemesasProveedor_RefreshDESCRIPCION].AsString;
end;

procedure TRemesasProveedor_RefreshDataTableRules.SetDESCRIPCIONValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedor_RefreshDESCRIPCION].AsString := aValue;
end;

function TRemesasProveedor_RefreshDataTableRules.GetUSUARIOValue: String;
begin
  result := DataTable.Fields[idx_RemesasProveedor_RefreshUSUARIO].AsString;
end;

procedure TRemesasProveedor_RefreshDataTableRules.SetUSUARIOValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedor_RefreshUSUARIO].AsString := aValue;
end;

function TRemesasProveedor_RefreshDataTableRules.GetID_DATOS_BANCOValue: Integer;
begin
  result := DataTable.Fields[idx_RemesasProveedor_RefreshID_DATOS_BANCO].AsInteger;
end;

procedure TRemesasProveedor_RefreshDataTableRules.SetID_DATOS_BANCOValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RemesasProveedor_RefreshID_DATOS_BANCO].AsInteger := aValue;
end;

function TRemesasProveedor_RefreshDataTableRules.GetFECHA_ALTAValue: DateTime;
begin
  result := DataTable.Fields[idx_RemesasProveedor_RefreshFECHA_ALTA].AsDateTime;
end;

procedure TRemesasProveedor_RefreshDataTableRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RemesasProveedor_RefreshFECHA_ALTA].AsDateTime := aValue;
end;

function TRemesasProveedor_RefreshDataTableRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := DataTable.Fields[idx_RemesasProveedor_RefreshFECHA_MODIFICACION].AsDateTime;
end;

procedure TRemesasProveedor_RefreshDataTableRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RemesasProveedor_RefreshFECHA_MODIFICACION].AsDateTime := aValue;
end;

function TRemesasProveedor_RefreshDataTableRules.GetIMPORTE_TOTALValue: Float;
begin
  result := DataTable.Fields[idx_RemesasProveedor_RefreshIMPORTE_TOTAL].AsFloat;
end;

procedure TRemesasProveedor_RefreshDataTableRules.SetIMPORTE_TOTALValue(const aValue: Float);
begin
  DataTable.Fields[idx_RemesasProveedor_RefreshIMPORTE_TOTAL].AsFloat := aValue;
end;

function TRemesasProveedor_RefreshDataTableRules.GetNOMBREValue: String;
begin
  result := DataTable.Fields[idx_RemesasProveedor_RefreshNOMBRE].AsString;
end;

procedure TRemesasProveedor_RefreshDataTableRules.SetNOMBREValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedor_RefreshNOMBRE].AsString := aValue;
end;

function TRemesasProveedor_RefreshDataTableRules.GetENTIDADValue: String;
begin
  result := DataTable.Fields[idx_RemesasProveedor_RefreshENTIDAD].AsString;
end;

procedure TRemesasProveedor_RefreshDataTableRules.SetENTIDADValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedor_RefreshENTIDAD].AsString := aValue;
end;

function TRemesasProveedor_RefreshDataTableRules.GetSUCURSALValue: String;
begin
  result := DataTable.Fields[idx_RemesasProveedor_RefreshSUCURSAL].AsString;
end;

procedure TRemesasProveedor_RefreshDataTableRules.SetSUCURSALValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedor_RefreshSUCURSAL].AsString := aValue;
end;

function TRemesasProveedor_RefreshDataTableRules.GetDCValue: String;
begin
  result := DataTable.Fields[idx_RemesasProveedor_RefreshDC].AsString;
end;

procedure TRemesasProveedor_RefreshDataTableRules.SetDCValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedor_RefreshDC].AsString := aValue;
end;

function TRemesasProveedor_RefreshDataTableRules.GetCUENTAValue: String;
begin
  result := DataTable.Fields[idx_RemesasProveedor_RefreshCUENTA].AsString;
end;

procedure TRemesasProveedor_RefreshDataTableRules.SetCUENTAValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedor_RefreshCUENTA].AsString := aValue;
end;

function TRemesasProveedor_RefreshDataTableRules.GetSUFIJO_N19Value: String;
begin
  result := DataTable.Fields[idx_RemesasProveedor_RefreshSUFIJO_N19].AsString;
end;

procedure TRemesasProveedor_RefreshDataTableRules.SetSUFIJO_N19Value(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedor_RefreshSUFIJO_N19].AsString := aValue;
end;

function TRemesasProveedor_RefreshDataTableRules.GetSUFIJO_N58Value: String;
begin
  result := DataTable.Fields[idx_RemesasProveedor_RefreshSUFIJO_N58].AsString;
end;

procedure TRemesasProveedor_RefreshDataTableRules.SetSUFIJO_N58Value(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedor_RefreshSUFIJO_N58].AsString := aValue;
end;


initialization
  RegisterDataTableRules(RID_darReferencia, TdarReferenciaDataTableRules);
  RegisterDataTableRules(RID_RemesasProveedor, TRemesasProveedorDataTableRules);
  RegisterDataTableRules(RID_RemesasProveedor_Refresh, TRemesasProveedor_RefreshDataTableRules);

end.
